[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TControl.Align

Used to align the control to the top, bottom, left or right of its client.

## Declaration

Source position: controls.pp line 1372

`public property TControl.Align: TAlign read FAlign write SetAlign default alNone;`

## Description

// standard properties, which should be supported by all descendants

Either reads a flag containing alignment instructions (FAlign) or writes alignment instructions (SetAlign)

May have no alignment, may have custom or client alignment, or can be aligned to top, bottom, left or right

## See also

TAlign |  | Alignment options for a control, within its parent control.

The latest version of this document can be found at lazarus-ccr.sourceforge.net.